import { useMutation } from "@tanstack/react-query";
import {
  registerStep1API,
  registerStep2API,
  registerStep3API,
  registerStep4API,
  registerStep5API,
} from "../api/register.api";

/**
 * Register - Step 1
 */
export const useRegisterStep1 = () =>
  useMutation({
    mutationFn: registerStep1API,
  });

/**
 * Register - Step 2
 */
export const useRegisterStep2 = () =>
  useMutation({
    mutationFn: registerStep2API,
  });

/**
 * Register - Step 3
 */
export const useRegisterStep3 = () =>
  useMutation({
    mutationFn: registerStep3API,
  });

/**
 * Register - Step 4
 */
export const useRegisterStep4 = () =>
  useMutation({
    mutationFn: registerStep4API,
  });

/**
 * Register - Step 5
 */
export const useRegisterStep5 = () =>
  useMutation({
    mutationFn: registerStep5API,
  });
